xStreamBufferSpacesAvailable

stream_buffer.h

    size_t xStreamBufferSpacesAvailable( StreamBufferHandle_t xStreamBuffer );

Queries a stream buffer to see how much free space it contains, which is equal to the amount of data that can be sent to the stream buffer before it is full.

Parameters

  xStreamBuffer | The handle of the stream buffer being queried.

Returns
  The number of bytes that can be written to the stream buffer before the stream buffer would be full.